﻿
using System;
using Wisej.Web;

namespace Wisej.UploadFromButtonCells
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void Page1_Load(object sender, EventArgs e)
		{
			this.upload1.Visible = false;
			this.dataGridView1.RowCount = 10;

			foreach (DataGridViewRow row in this.dataGridView1.Rows)
			{
				// add button to 3rd and 4th column cells.
				row.Cells[2].Control = new Button()
				{
					Dock = DockStyle.Fill,
					Text = "Except Firefox"
				};
				row.Cells[3].Control = new Button()
				{
					Dock = DockStyle.Fill,
					Text = "Including Firefox"
				};

				((Button)row.Cells[2].Control).Click += CellButton_Click;
				((Button)row.Cells[3].Control).AddClientEventListener("execute", "App.MainPage.upload1.upload()");
			}
		}

		private void CellButton_Click(object sender, EventArgs e)
		{
			this.upload1.UploadFiles();
		}

		private void button1_Click(object sender, EventArgs e)
		{

		}

		private void dataGridView1_CellClick(object sender, DataGridViewCellEventArgs e)
		{
			if (e.ColumnIndex == 0)
				this.upload1.UploadFiles();
		}
	}
}
